RouterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.RouterCollection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface RouterCollection

All Superinterfaces:
  Disposable, Initialisable

All Known Subinterfaces:
  BindingCollection, InboundRouterCollection, OutboundRouterCollection, ResponseRouterCollection

All Known Implementing Classes:
  AbstractRouterCollection, DefaultBindingCollection, DefaultInboundRouterCollection, DefaultOutboundRouterCollection, DefaultResponseRouterCollection

    public interface RouterCollection

extends Initialisable, Disposable

`RouterCollection` defines the interface for a MessageRouter that manages more than one router. A `RouterCatchAllStrategy` can be set on this router to route unwanted or unfiltered events. If a catch strategy is not set, the router just returns null.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`void` | `addRouter(Router router)`
`RouterCatchAllStrategy` | `getCatchAllStrategy()`
`List` | `getRouters()`
`RouterStatistics` | `getStatistics()`
`boolean` | `isMatchAll()`
`Router` | `removeRouter(Router router)`
`void` | `setCatchAllStrategy(RouterCatchAllStrategy catchAllStrategy)`
`void` | `setMatchAll(boolean matchAll)`
`void` | `setRouters(List routers)`
`void` | `setStatistics(RouterStatistics stat)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### setRouters

    void setRouters(List routers)

### getRouters

    List getRouters()

### addRouter

    void addRouter(Router router)

### removeRouter

    Router removeRouter(Router router)

### getCatchAllStrategy

    RouterCatchAllStrategy getCatchAllStrategy()

### setCatchAllStrategy

    void setCatchAllStrategy(RouterCatchAllStrategy catchAllStrategy)

### isMatchAll

    boolean isMatchAll()

### getStatistics

    RouterStatistics getStatistics()

### setStatistics

    void setStatistics(RouterStatistics stat)

### setMatchAll

    void setMatchAll(boolean matchAll)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.